Album: Megalovania FUSION COLLABORATION the hit song by toby "dont call me radiation" fox off the hiveswap soundtrack ft silver gunner and james roach
Style: single
Directory: megalovania-fusion-collab
Date: September 28, 2017
Date Added: October 25, 2023
URLs:
- https://coolandnewwebcomic.bandcamp.com/track/megalovania-fusion-collaboration-the-hit-song-by-toby-dont-call-me-radiation-fox-off-the-hiveswap-soundtrack-ft-silver-gunner-and-james-roach
- https://www.youtube.com/watch?v=vaOCOiEsLQ8
Cover Artists:
- ackro
- Wights End
- cookiefonster
Art Tags:
- Sans
- Joey
Cover Art File Extension: png
Track Art File Extension: png
Color: '#ffffff'
Groups:
- Cool and New Music Team
- Fandom
---
Track: Megalovania FUSION COLLABORATION the hit song by toby "dont call me radiation" fox off the hiveswap soundtrack ft silver gunner and james roach 
Additional Names:
- Name: >-
    Megalovania - Hiveswap
  Annotation: >-
    [YouTube title](https://www.youtube.com/watch?v=vaOCOiEsLQ8)
Artists: 
- Difarem
- Interrobang
- ft-rj
- WHATISLOSTINTHEMINES
- XenoZane
- Wheals
- meems
- yazshu
- Shwan
- Akalabeth
- bobthetacocat
- Pipko Fanfare
- Cecily Renns
- Wights End
- Lace Luxim
- Frost Carter
- cookiefonster
- Viridian
- WarxTron
Duration: 15:44
URLs:
- https://coolandnewwebcomic.bandcamp.com/track/megalovania-fusion-collaboration-the-hit-song-by-toby-dont-call-me-radiation-fox-off-the-hiveswap-soundtrack-ft-silver-gunner-and-james-roach
- https://www.youtube.com/watch?v=vaOCOiEsLQ8
Referenced Tracks:
- track:MeGaLoVania
- track:megalovania-undertale
- Sunsetter (Ska)
- mm2wood
- I absolutely loathe this Drummer.
- Techno Boss Battle
- Watch Me (Whip / Nae Nae)
- Boy Meets Girl
- How Do I Live (Bunny Back in the Box Version)
- Flare
- Gold Pilot
- Last Battle
- Main Theme (Wii Shop Channel)
- Brodyquest
- Upward Movement (Dave Owns)
- Skies of Skaia
- le canrival
- Running in the 90's
- Put A Donk On It
- Crank That
- track:bonfire-childish-gambino
- Bassline Junkie
- One Pound Fish
- Space Jam
- Takyon (Death Yon)
- Yo Home to Bel-Air
- X Gon' Give It to Ya
- The Nutshack Intro
- Feel Good Inc.
- track:whales-hail-mary-mallons
- Snow halation
- Battle Against an Average Foe
- Argia
- track:fragments-basement-tale
- track:slider-super-mario-64
- Skaian Skirmish
- Mutiny (crapapella)
- We Are Number One
- Jackknive
- track:hankage-fantazumu-2
Sampled Tracks:
- track:MeGaLoVania
- mm2wood
- I absolutely loathe this Drummer.
- Watch Me (Whip / Nae Nae)
- Boy Meets Girl
- How Do I Live (Bunny Back in the Box Version)
- Gold Pilot
# - AAAAAAAAAAAAAA
# - Rock My Forum
# - Christmas in July
- Upward Movement (Dave Owns)
- Skies of Skaia
- Main Theme (Wii Shop Channel)
- Put A Donk On It
- Crank That
- track:bonfire-childish-gambino
- Bassline Junkie
- One Pound Fish
- Space Jam
- Takyon (Death Yon)
- Yo Home to Bel-Air
- X Gon' Give It to Ya
- The Nutshack Intro
- Feel Good Inc.
- track:whales-hail-mary-mallons
- Snow halation
- Skaian Skirmish
- Mutiny (crapapella)
# - Megalovania (Smooth McGroove Cover)
- We Are Number One
- courser remix
- track:hankage-fantazumu-2
Lyrics: |-
    [Kick kick snare set to the beat]

    (Now watch me)
    (Nae nae nae nae, watch me nae, nae nae nae)
    (Nae nae nae nae, watch me nae, nae nae nae)
    (Nae nae nae nae, watch me nae, nae nae nae)
    (Nae nae nae nae, watch me nae, nae nae nae)

    (Yeah Play that shit!)
    (Mmm I hear ya, I hear you in here)
    (In my heart)
    (Mmm, so good on my eardrums)
    (Yeah)
    (You got that Telecaster twang, yeah)
    (Twangin' into my soul)
    (Casey, take us there, bring it back!)
    (Alright, come on now!)

    H-H-H-H-H-H-HHGregg
    Panasonic Blu-Ray, 99 dollars
    H-H-H-H-H-H-HHGregg
    32-inch LCD TV, 299
    H-H-H-H-H-H-HHGregg
    Panasonic Blu-Ray, 99 dollars
    H-H-H-H-H-H-HHGregg
    32-inch LCD TV, 299

    (Put a donk on it)
    (Yeah, I see man, now put a donk on it)
    (Yeah, oh now that is good, put a donk on it)
    (Oh yeah, sick, oh fuck)

    [this part is approximate due to seven songs playing at once in some instances]
    Soulja Boy off in this ho
    Watch me crank it, watch me roll
    Watch me crank that Soulja Boy, then Superman that ho
    (Now watch me yuu) Crank that Soulja Boy
    (Now watch me yuu) Crank that Soulja Boy
    --it's Childish Gambino, home girl drop it like the NASDAQ
    Move white girls like there's coke up my ass crack
    Move black girls 'cause, man, fuck it, I'll do either
    I love pussy, I love bitches, dude, I should be runnin' PETA
    In Adidas with some short shorts, B-O-O all over me
    My green is where it's supposed to be, your green is in my grocery
    This Asian dude, I stole his girl, and now he got that Kogi beef
    Big dirty stinking bass
    Dirty stinking bass
    Big dirty stinking bass
    My dick is like an accent mark, it's all about the over Es
    Triple six, five, forked tongue
    Subatomic penetration rapid fire through your skull
    Now this is a story all about how
    My life got flipped turned upside down
    And I'd like to take a minute, just sit right there
    X gon' give it to ya (What?)
    Fuck waitin' for you to get it on your own, X gon' deliver to ya (Uh)
    I'll tell you how I became the prince of a town called Bel-Air
    It's the Nutshack
    Setsunasa ni wa namae o tsukeyou ka "Snow halation"? (<i>Shall I name this heart-rending pain "Snow halation"?</i>)
    (Seven twenty)

    (I LOVE YOU DOGGY!)

    [Japanese-sounding gibberish]
